Summary:	Public radio mapping application for GNOME
Summary(pl.UTF-8):	Aplikacja z mapą publicznych stacji radiowych dla GNOME
Name:		gnome-radio
Version:	48.1
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-radio/48/%{name}-%{version}.tar.xz
# Source0-md5:	7f4a7a6a46bcf1033af8da97402e2608
URL:		https://wiki.gnome.org/Apps/Radio
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11
BuildRequires:	geoclue2-devel >= 2.4.12
BuildRequires:	geocode-glib-devel >= 3.20
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gstreamer-plugins-bad-devel >= 1.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	gtk+3-devel >= 3.24.34
BuildRequires:	gtk-doc >= 1.16
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libchamplain-devel >= 0.12.10
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pango-devel >= 1:0.28
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	geoclue2 >= 2.4.12
Requires:	geocode-glib >= 3.20
Requires:	glib2 >= 1:2.38.0
Requires:	gstreamer-plugins-bad >= 1.0
Requires:	gstreamer-plugins-base >= 1.0
Requires:	gstreamer-plugins-good >= 1.0
Requires:	gtk+3 >= 3.24.34
Requires:	hicolor-icon-theme
Requires:	libchamplain >= 0.12.10
Requires:	pango >= 1:0.28
Obsoletes:	girl < 10.1
Obsoletes:	gnome-internet-radio-locator < 13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Radio is the Public Network Radio Software for Accessing Free
Audio Broadcasts from the Internet.

%description -l pl.UTF-8
GNOME Radio to program do publicznych sieci radiowych, pozwalający na
dostęp do darmowych rozgłośni dźwiękowych z Internetu.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-internet-radio-locator
%attr(755,root,root) %{_bindir}/gnome-radio
%attr(755,root,root) %{_bindir}/org.gnome.Radio
%{_datadir}/gnome-radio
%{_datadir}/metainfo/gnome-radio.appdata.xml
%{_desktopdir}/gnome-radio.desktop
%{_iconsdir}/hicolor/scalable/apps/gnome-radio.svg
%{_mandir}/man1/gnome-radio.1*
%changelog
* Wed Nov 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-radio.git;a=log;h=master

* Wed Nov 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 71eb2e8
- updated to 48.1

* Sun Oct 02 2022 Jakub Bogusz <qboosh@pld-linux.org> 0fb529d
- updated to 48.0

* Wed Sep 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 250f71d
- updated to 47.0

* Thu Sep 22 2022 Jakub Bogusz <qboosh@pld-linux.org> c18798b
- updated to 46.0

* Tue Jul 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 59ac1ff
- updated to 42.0; this project is messy, esp. with versioning

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 2775516
- updated to 16.0.43

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 0c79edf
- updated to 16.0.6

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 2d6d04d
- updated to 16.0.3; contains gnome-internet-radio-locator again
- removed obsolete am patch

* Thu Feb 03 2022 Jakub Bogusz <qboosh@pld-linux.org> ff5a89f
- updated to 14.0.0; gnome-internet-radio-locator not included now
- added am patch (remove duplicate AM_INIT_AUTOMAKE)

* Mon Nov 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 988e816
- updated to 13.0.1; now contains also gnome-internet-radio-locator

* Thu Jul 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 98b2302
- updated to 0.4.0

* Sun Sep 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 9112138
- initial

